<ui:composition xmlns:g="http://www.ihe.net/gazelle" xmlns:a4j="http://richfaces.org/a4j"
                xmlns:f="http://java.sun.com/jsf/core" xmlns:ui="http://java.sun.com/jsf/facelets"
                xmlns="http://www.w3.org/1999/xhtml" xmlns:c="http://java.sun.com/jstl/core"
                xmlns:h="http://java.sun.com/jsf/html"
                xmlns:s="http://jboss.org/schema/seam/taglib">
    <ui:decorate template="/layout/panels/_panel_collapse.xhtml">
        <ui:param name="panel_id" value="op_#{expression.fakeId}"/>
        <ui:param name="openByDefault" value="true"/>
        <ui:define name="panel_title">
            <h:outputText value="#{expression.getDisplayName()} ##{expression.fakeId}"/>
            <s:span styleClass="pull-right">
                <h:commandLink title="#{messages['net.ihe.gazelle.xval.Delete']}"
                               execute="@this" render="workingBoard"
                               actionListener="#{ruleEditorManager.deleteMathMember(expression.fakeId)}">
                    <s:span styleClass="fa fa-trash-o gzl-text-red"/>
                </h:commandLink>
            </s:span>
        </ui:define>
        <c:if test="${expression.class.simpleName.equals('ConstantMember')}">
            <ui:include src="#{expression.getEditLink()}">
                <ui:param name="expression" value="#{expression}"/>
            </ui:include>
        </c:if>
        <c:if test="${expression.class.simpleName.equals('MathOperation')}">
            <ui:include src="#{expression.getEditLink()}">
                <ui:param name="expression" value="#{expression}"/>
            </ui:include>
        </c:if>
        <c:if test="${expression.class.simpleName.equals('SingleMember')}">
            <ui:include src="#{expression.getEditLink()}">
                <ui:param name="locator" value="#{expression.locator}"/>
            </ui:include>
        </c:if>
    </ui:decorate>
</ui:composition>